Last Comment Bug 531252 - Add operaunite.com to PSL
: Add operaunite.com to PSL
Status: RESOLVED FIXED
: fixed1.9.0.18, verified1.9.1, verified1.9.2
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-26 03:45 PST by Gervase Markham [:gerv]
Modified: 2010-03-22 12:27 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.2-fixed
.8-fixed


Attachments
Patch v.1 (504 bytes, patch)
2009-12-11 16:59 PST, Gervase Markham [:gerv]
pkasting: review+
dveditz: approval1.9.2.2+
dveditz: approval1.9.1.8+
dveditz: approval1.9.0.18+
Details | Diff | Splinter Review

Description Gervase Markham [:gerv] 2009-11-26 03:45:58 PST
From Yngve:

Hi,

The domain operaunite.com is used by Opera's new Unite feature (a small web server built into Opera 10.10, http://unite.opera.com/ ). Each instance of Opera Unite have a name server.username.operaunite.com. While some restrictions are being implemented in Unite, there are still some ways to set cookies for the
operaunite.com domain, and we would like to restrict the impact by adding this domain to the public suffix list.

We have recently added this domain to our own version of the Public Suffix List, available from http://redir.opera.com/pubsuffix/ . See also http://my.opera.com/rootstore/blog/2009/11/20/additional-ev-oid-for-izenpe-untrusted-certificates-and-public-suffix-update .

Below is the patch for our local CVS version of the effective_tld_names.dat (it will likely not match your version numbers).

Please apply this patch to the publicsuffix.org masterlist.

Thanks in advance.

--- effective_tld_names.dat    11 Jun 2009 12:35:17 -0000    1.1.1.1
+++ effective_tld_names.dat    17 Nov 2009 12:58:13 -0000    1.2
@@ -678,6 +678,10 @@
  uy.com
  za.com

+// Added by Opera Software ASA
+// Treats operaunite.com domain used by the Opera Unite service as a
registry-like domain
+operaunite.com
+
  // coop : http://en.wikipedia.org/wiki/.coop
  coop
Comment 1 Gervase Markham [:gerv] 2009-12-11 16:59:52 PST
Created attachment 417207 [details] [diff] [review]
Patch v.1
Comment 2 Gervase Markham [:gerv] 2009-12-11 17:54:52 PST
Trunk: http://hg.mozilla.org/mozilla-central/rev/b7c6f08e35b3

Gerv
Comment 3 Daniel Veditz [:dveditz] 2009-12-14 14:31:55 PST
Comment on attachment 417207 [details] [diff] [review]
Patch v.1

Approved for 1.9.1.7 and 1.9.0.17, a=dveditz for release-drivers
Comment 4 Gervase Markham [:gerv] 2009-12-21 14:11:23 PST
Fixed on 1.9.1 branch:
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/65f5f13e3a63
and 1.9.0 branch:
Checking in netwerk/dns/src/effective_tld_names.dat;
/cvsroot/mozilla/netwerk/dns/src/effective_tld_names.dat,v  <--  effective_tld_names.dat
new revision: 1.13; previous revision: 1.12
done

Gerv
Comment 5 Daniel Veditz [:dveditz] 2010-02-05 13:51:01 PST
Comment on attachment 417207 [details] [diff] [review]
Patch v.1

Approved for 1.9.2.2, a=dveditz for release-drivers
Comment 6 Gervase Markham [:gerv] 2010-02-10 07:11:38 PST
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/fb597a322d68

Gerv
Comment 8 Al Billings [:abillings] 2010-03-22 12:27:49 PDT
Changing this back to resolved fixed and adding verified1.9.2 and verified1.9.1 keywords. 

Raymond, only mark it as verified fixed in bug status if the highest applicable version (mozilla central here) has been verified.

Also, when you verify it, please add the Build ID string to the comments for the builds used to verify.

Note You need to log in before you can comment on or make changes to this bug.